org.apache.cassandra.db.partitions

## Class PartitionUpdate.PartitionUpdateSerializer

- java.lang.Object
- - org.apache.cassandra.db.partitions.PartitionUpdate.PartitionUpdateSerializer

Enclosing class:
  PartitionUpdate

    public static class PartitionUpdate.PartitionUpdateSerializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PartitionUpdateSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartitionUpdate` `deserialize(DataInputPlus in, int version, SerializationHelper.Flag flag, java.nio.ByteBuffer key)`
`PartitionUpdate` `deserialize(DataInputPlus in, int version, SerializationHelper.Flag flag, DecoratedKey key)`
`void` `serialize(PartitionUpdate update, DataOutputPlus out, int version)`
`long` `serializedSize(PartitionUpdate update, int version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PartitionUpdateSerializer

    public PartitionUpdateSerializer()

### Method Detail

#### serialize

    public void serialize(PartitionUpdate update,
                          DataOutputPlus out,
                          int version)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    public PartitionUpdate deserialize(DataInputPlus in,
                                       int version,
                                       SerializationHelper.Flag flag,
                                       java.nio.ByteBuffer key)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    public PartitionUpdate deserialize(DataInputPlus in,
                                       int version,
                                       SerializationHelper.Flag flag,
                                       DecoratedKey key)
                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(PartitionUpdate update,
                               int version)